#include<bits/stdc++.h>
using namespace std;
int main()
{  
     ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++) cin>>a[i];
    for(int i=0;i<n;i++)
    {
        if(a[i]==k)
        {
            if(i<n-1) cout<<a[i+1];
            else cout<<a[0];
            break;
        }
    }
}